Bug 10791 - cart image in prog & IE10
Summary: cart image in prog & IE10
Status: CLOSED WONTFIX
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: 3.16
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-27 20:46 UTC by Nicole C. Engard
Modified: 2017-06-14 22:10 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
cart1 (243.96 KB, image/png)
2013-08-27 20:46 UTC, Nicole C. Engard
Details
cart2 (265.50 KB, image/png)
2013-08-27 20:47 UTC, Nicole C. Engard
Details
footer (255.15 KB, image/png)
2013-08-27 20:47 UTC, Nicole C. Engard
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2013-08-27 20:46:59 UTC
Created attachment 20667 [details]
cart1

It looks like in IE10, with compatibility mode off, the a cart image is superimposed behind the word cart. With the compatibility mode on, the image is gone, but the footer of the results page shows up half way up the results.
Comment 1 Nicole C. Engard 2013-08-27 20:47:17 UTC
Created attachment 20668 [details]
cart2
Comment 2 Nicole C. Engard 2013-08-27 20:47:38 UTC
Created attachment 20669 [details]
footer
Comment 3 Marc Véron 2014-04-29 23:54:51 UTC
It is very difficult to get it right for IE without breaking it in other browsers.

The best workaround I found was by adding some CSS in OpacUserCSS (Tested with IE 11):

------------
/*IE-Hack*/
@media screen and (min-width:0\0) { 
  #cartmenulink {
    width: 86px;
    text-align: center;
    padding-right: 0;
  }
}

#listsmenulink{
width: 40px;
}
------------
For other languages the width values must be adabted, though.
Comment 4 Owen Leonard 2014-11-18 17:20:58 UTC
Changing the version to 3.16 since prog isn't in master anymore. If it were up to me this would be marked "WONTFIX"
Comment 5 Owen Leonard 2016-06-21 16:39:32 UTC
3.16.x is no longer maintained.